Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.query.exp
Class GreaterThanExpression

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.query.exp.InMemoryExpression
            |
            +--com.solarmetric.rd.kodo.query.exp.CompareExpression
                  |
                  +--com.solarmetric.rd.kodo.query.exp.GreaterThanExpression

All Implemented Interfaces:
  Expression

public class GreaterThanExpression
extends CompareExpression

Expression that compares two others.

Constructor Summary
`GreaterThanExpression(com.solarmetric.rd.kodo.query.exp.InMemoryValue val1, com.solarmetric.rd.kodo.query.exp.InMemoryValue val2)` Constructor.

Method Summary
`protected boolean` | `compare(java.lang.Object o1, java.lang.Object o2)` Compare the two values.

Methods inherited from class com.solarmetric.rd.kodo.query.exp.CompareExpression
`eval`

Methods inherited from class com.solarmetric.rd.kodo.query.exp.InMemoryExpression
`evaluate, order`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GreaterThanExpression

    public GreaterThanExpression(com.solarmetric.rd.kodo.query.exp.InMemoryValue val1,
                                 com.solarmetric.rd.kodo.query.exp.InMemoryValue val2)

  Constructor. Supply values to compare.

Method Detail

### compare

    protected boolean compare(java.lang.Object o1,
                              java.lang.Object o2)

  Description copied from class: `CompareExpression`
  Compare the two values.

  Specified by:
    `compare` in class `CompareExpression`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.